org.eclipse.wst.jsdt.chromium.debug.core

## Class ScriptNameManipulator.ScriptNamePattern

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.core.ScriptNameManipulator.ScriptNamePattern

Enclosing interface:
  ScriptNameManipulator

    public static class ScriptNameManipulator.ScriptNamePattern
    extends java.lang.Object

A wrapper for a pattern. It is implemented as a plain holder of JavaScript RegExp source.

### Constructor Summary

Constructors
Constructor and Description
`ScriptNamePattern(java.lang.String javaScriptString)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getJavaScriptRegExp()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ScriptNamePattern

    public ScriptNamePattern(java.lang.String javaScriptString)

### Method Detail

#### getJavaScriptRegExp

    public java.lang.String getJavaScriptRegExp()